Notifications logs
Paginated API to fetch logs for notifications
Authorizations
Query Parameters
To filter based on the trigger value of the event that is responsible for triggering the notification. For a message or a reply, the value of this field is after_message. For message actions, the values are message_deleted or message_edited or message_reaction_added. For default calling feature, the values are initiated, rejected, cancelled, unanswered. For group events, the values are: after_group_joined, after_group_left, after_group_members_added, after_group_members_kicked, after_group_members_banned, after_group_members_unbanned, after_scope_changed.
after_message, message_deleted, message_edited, message_reaction_added, initiated, rejected, cancelled, unanswered, after_group_joined, after_group_left, after_group_members_added, after_group_members_kicked, after_group_members_banned, after_group_members_unbanned, after_scope_changed To filter based on the provider. For channel as push, the value of this field can be fcm, apns, custom. For channel as email, the value of this field can be sendgrid or custom. For channel as sms, the value of this field can be twilio or custom.
fcm, apns, sendgrid, twilio, custom Available only when the value of notificationTriggered is false. This contains the reason for not triggering the notification provider.
To filter logs using reason, use the following values: MESSAGES_PREFERENCE, REPLIES_PREFERENCE, MESSAGE_ACTIONS_PREFERENCE, REACTIONS_PREFERENCE, GROUP_ACTIONS_PREFERENCE, DND_PREFERENCE, MUTE_PREFERENCE, SCHEDULE_PREFERENCE, CALL_PREFERENCE, QUOTA_PREFERENCE, MISSING_EMAIL, MISSING_PHNO, INVALID_PUSH_PROVIDER_ID, TIMED_OUT, NOT_FOUND, TWILIO_CREATE_ERROR.
MESSAGES_PREFERENCE, REPLIES_PREFERENCE, MESSAGE_ACTIONS_PREFERENCE, REACTIONS_PREFERENCE, GROUP_ACTIONS_PREFERENCE, DND_PREFERENCE, MUTE_PREFERENCE, SCHEDULE_PREFERENCE, CALL_PREFERENCE, QUOTA_PREFERENCE, MISSING_EMAIL, MISSING_PHNO, INVALID_PUSH_PROVIDER_ID, TIMED_OUT, NOT_FOUND, TWILIO_CREATE_ERROR Response
A list of push notification's email custom provider
The response is of type object.